<?php

/**

 * @version		$Id: k2toolbar.php grigor.mihov $

 * @package		BizWeb - StyleWare

 * @copyright	Copyright (C) 2010 StyleWare. All rights reserved.

 * @license		GNU General Public License <http://www.gnu.org/copyleft/gpl.html>

 * @link		http://www.styleware.eu

 */



defined('_JEXEC') or die('Restricted access');



require_once( JPATH_ROOT . DS . 'components' . DS . 'com_community' . DS . 'libraries' . DS . 'core.php');



if(!class_exists('plgCommunityK2Toolbar'))

{

	class plgCommunityK2Toolbar extends CApplications

	{

		var $name 		= "K2 Toolbar";

		var $_name		= 'k2toolbar';

	

	    function plgCommunityK2Toolbar(& $subject, $config)

	    {

			parent::__construct($subject, $config);

	    }

		

		function onSystemStart()

		{

			//Load Language file.

			JPlugin::loadLanguage( 'plg_k2toolbar', JPATH_ADMINISTRATOR );

			

			

			if( !class_exists('CFactory'))

			{

				require_once( JPATH_ROOT . DS . 'components' . DS . 'com_community' . DS . 'libraries' . DS . 'core.php');

			}

			

			//initialize the toolbar object	

			$toolbar = CFactory::getToolbar();		

			

			$db = &JFactory::getDBO();

			// Get K2 item id

        		$db->setQuery("SELECT id FROM #__menu WHERE link LIKE '%com_k2%' AND published='1' LIMIT 1");

        		$k2ItemId = $db->loadResult();



        		if ($k2ItemId < 1) {

            		$k2ItemId = 0;

            	}			

			

			$user =& JFactory::getUser();

			$usr_id = $user->get('id');



			//adding new 'tab' 'Forum Settings' to JomSocial toolbar

			$toolbar->addGroup('K2', JText::_('Blogs'), JRoute::_('index.php?option=com_k2&amp;Itemid='.$k2ItemId.''));

			$toolbar->addItem('K2', 'K2_MY_BLOG', JText::_('My Blog'), JRoute::_('index.php?option=com_k2&amp;Itemid='.$k2ItemId.'&amp;view=itemlist&amp;task=user&amp;id='.$usr_id.''));

		

		}	

	}	

}



