<?php

/**
 * @copyright (C) 2010 StyleWare. All rights reserved!
 * @license GNU/GPL 2
 * 
 */

// no direct access
defined('_JEXEC') or die('Restricted access');
require_once (JPATH_SITE.DS.'components'.DS.'com_k2'.DS.'helpers'.DS.'route.php');
require_once (JPATH_SITE.DS.'components'.DS.'com_k2'.DS.'helpers'.DS.'utilities.php');
require_once( JPATH_ROOT .DS.'components' .DS.'com_community' .DS.'libraries' .DS.'core.php');

	class plgCommunityK2Items extends CApplications
	{
		var $name 		= "My Blog Posts";
		var $_name		= 'Blog Posts';
		
		
		function onProfileDisplay()
		{	
			JPlugin::loadLanguage( 'plg_community_k2items', JPATH_ADMINISTRATOR );
			$config	= CFactory::getConfig();			
			$this->loadUserParams();
			$uri	= JURI::base();
			$document	=& JFactory::getDocument();
			$css		= JURI::base() . 'plugins/community/k2items/style.css';
			$document->addStyleSheet($css);
								
			$db =& JFactory::getDBO();
			$jnow = &JFactory::getDate();
			$now = $jnow->toMySQL();
			$nullDate = $db->getNullDate();		
		    $limit = $this->userparams->get('count', 5);
			
			$groupsModel		= CFactory::getModel( 'groups' );
			$avatarModel		= CFactory::getModel( 'avatar' );
			
			$user		= CFactory::getRequestUser();
			$userName	= $user->getDisplayName();
			
			$luser = &JFactory::getUser();
			$aid = $luser->get('aid');
			
			$groups		= $groupsModel->getGroups( $user->id );

			ob_start();
			
			$query	= 'SELECT i.*, c.name AS categoryname,c.id AS categoryid, c.alias AS categoryalias, c.params AS categoryparams'
			. ' FROM #__k2_items as i LEFT JOIN #__k2_categories c ON c.id = i.catid'
			. ' WHERE i.published = 1 AND i.access <= '.$aid.' AND i.trash = 0 AND c.published = 1 AND c.access <= '.$aid.' AND c.trash = 0'
			. ' AND ( i.publish_up = '.$db->Quote($nullDate).' OR i.publish_up <= '.$db->Quote($now).' )'
			. ' AND i.created_by = '.$user->id.''
			. ' AND ( i.publish_down = '.$db->Quote($nullDate).' OR i.publish_down >= '.$db->Quote($now).' )';
			$db->setQuery( $query, 0, $limit );
			$items = $db->loadObjectList();
			?>

			<ul class="list">

			<?php
				foreach ($items as $item ){
				$item->link = urldecode(JRoute::_(K2HelperRoute::getItemRoute($item->id.':'.urlencode($item->alias), $item->catid.':'.urlencode($item->categoryalias))));
				$item->categoryLink = urldecode(JRoute::_(K2HelperRoute::getCategoryRoute($item->catid.':'.urlencode($item->categoryalias))));
				$item->introtext = K2HelperUtilities::wordLimit($item->introtext, $this->userparams->get('cut', 95));
			?>
				<li>
				    <div class="k2content">
					<h3>
						<a class="k2title" href="<?php echo $item->link;?>">
							<?php echo $item->title; ?>
						</a>
					</h3>
						<div class="k2imageintro">
							<p>
							<?php if($this->userparams->get('showimage')==1) {?><a class="k2imagelink" href="<?php echo $item->link;?>"><img src="<?php 
							if (JFile::exists(JPATH_SITE.DS.'media'.DS.'k2'.DS.'items'.DS.'cache'.DS.md5("Image".$item->id).'_XS.jpg'))
							$item->image = JURI::root().'media/k2/items/cache/'.md5("Image".$item->id).'_XS.jpg';
							echo $item->image; ?>" alt="<?php echo $item->title; ?>" class="k2image"/></a><?php } ?><?php echo $item->introtext; ?></p>
						</div>
						<?php if($this->userparams->get('showcat')==1) {?>
						<div style="clear: both;"></div>
						<div class="k2category"><?php echo JText::_('Posted in'); ?> <a class="k2categorylink" href="<?php echo $item->categoryLink; ?>"><?php echo $item->categoryname; ?></a></div><?php } ?>
					</div>
					<div style="clear: both;"></div>
				</li>
			<?php
			}	?>
			</ul>
			<div style="clear: both;"></div>

<?php			
			$html = ob_get_contents();
			@ob_end_clean();
			
			return $html;
		}

	}